Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(509)

Unified Diff: build/mac/make_heap_non_executable_from_xcode.sh

Issue 7608027: Disable data page (heap) execution when running on Mac OS X 10.7 ("Lion") (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src/
Patch Set: Created 9 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « build/mac/make_heap_non_executable.py ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/mac/make_heap_non_executable_from_xcode.sh
===================================================================
--- build/mac/make_heap_non_executable_from_xcode.sh (revision 0)
+++ build/mac/make_heap_non_executable_from_xcode.sh (revision 0)
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# Copyright (c) 2011 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# This is a small wrapper script around make_heap_non_executable.py allowing
+# it to be invoked easily from Xcode. make_heap_non_executable.py expects its
+# argument on the command line, and Xcode puts all of its parameters in the
+# environment.
+
+set -e
+
TVL 2011/08/10 16:02:11 do you want to check the sdk here and warn/error i
Mark Mentovai 2011/08/10 16:05:04 TVL wrote:
+exec "$(dirname "${0}")/make_heap_non_executable.py" \
+ "${BUILT_PRODUCTS_DIR}/${EXECUTABLE_PATH}"
Property changes on: build/mac/make_heap_non_executable_from_xcode.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: svn:eol-style
+ LF
« no previous file with comments | « build/mac/make_heap_non_executable.py ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698